Loading...
Searching...
No Matches
MolDraw2DHelpers.h File Reference
`#include <Geometry/point.h>`
`#include <RDGeneral/BetterEnums.h>`

Go to the source code of this file.

## Classes

struct | RDKit::DrawColour
struct | RDKit::MolDrawOptions

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolDraw2D_detail

## Typedefs

typedef std::map< int, DrawColour > | RDKit::ColourPalette
typedef std::vector< double > | RDKit::DashPattern

## Enumerations

enum class | RDKit::MolDraw2D_detail::OrientType : unsigned char { RDKit::MolDraw2D_detail::C = 0 , RDKit::MolDraw2D_detail::N , RDKit::MolDraw2D_detail::E , RDKit::MolDraw2D_detail::S , RDKit::MolDraw2D_detail::W }
enum class | RDKit::MolDraw2D_detail::TextAlignType : unsigned char { RDKit::MolDraw2D_detail::MIDDLE = 0 , RDKit::MolDraw2D_detail::START , RDKit::MolDraw2D_detail::END }
enum class | RDKit::MultiColourHighlightStyle { RDKit::CIRCLEANDLINE , RDKit::LASSO }

## Functions

void | RDKit::assignDefaultPalette (ColourPalette &palette)
| use the RDKit's default palette r
void | RDKit::assignAvalonPalette (ColourPalette &palette)
| use the color palette from the Avalon renderer
void | RDKit::assignCDKPalette (ColourPalette &palette)
| use (part of) the CDK color palette
void | RDKit::assignDarkModePalette (ColourPalette &palette)
void | RDKit::assignBWPalette (ColourPalette &palette)
| RDKit::BETTER_ENUM (DrawElement, uint32_t, NONE=0, PRESHAPES=1<< 0, BONDS=1<< 1, ATOMLABELS=1<< 2, HIGHLIGHTS=1<< 3, ANNOTATIONS=1<< 4, RADICALS=1<< 5, POSTSHAPES=1<< 6, ALL=0x7fffffff)

## Variables

static const double | RDKit::lineWidthScaleFactor = 0.02